The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Update Apache => make: *** [libphp5.la] Error 1

Discussion in 'EasyApache' started by s_rage, Apr 6, 2005.

  1. s_rage

    s_rage Member

    Joined:
    Jan 4, 2005
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    Greetings,

    New user of WHM here. I first used "Tweak Settings" to install MySQL 4.1 instead of the default 4.0. Next, I went to "Update Apache" to install PHP 5.0.4 instead of the default. As the update script was running, I got the following output:

    configure php-5.0.4...(--with-apxs=/usr/local/apache/bin/apxs --with-xml --enable-bcmath --enable-calendar --enable-ftp --enable-magic-quotes --with-mysql=/usr --with-mysqli=/usr/bin/mysql_config --enable-discard-path --with-pear --enable-sockets --enable-track-vars --enable-versioning --with-zlib).... . . . . . . . . . . . . . . . . . . . . . . . . . . . Done

    make -j 4 php-5.0.4...(clean).... Done

    make -j 4 php-5.0.4....... . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . Done

    make: *** [libphp5.la] Error 1

    make php-5.0.4...(install).... . . . . . Done

    make: *** [libphp5.la] Error 1

    /etc/rc.d/init.d/httpd start: httpd started

    --
    Did some searching but can't figure out what's causing the error. Anyone here happen to know? As I said, I'm a beginner to CPanel/WHM and Linux in general, so if I didn't give enough information, please let me know.

    Thanks in advance.
     
  2. s_rage

    s_rage Member

    Joined:
    Jan 4, 2005
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    Just to update, I was able to solve the problem (although I don't know what I was actually changing):

    I found the following PHP bug report and followed the steps in the most recent post:
    http://bugs.php.net/bug.php?id=29860

    The steps were:
    cd /usr/lib/mysql
    rename .a .a_old *.a
    rename .la .la_old *.la

    Then run configure/make/make install

    Then rename these files back.

    cd /usr/lib/mysql
    rename .a_old .a *.a_old
    rename .la_old .la *.la_old

    Like I said, not sure what this was actually doing, but I was able to get PHP 5.0.4 installed with the same options that had failed before.
     
  3. StevenC

    StevenC Well-Known Member

    Joined:
    Jan 1, 2004
    Messages:
    254
    Likes Received:
    0
    Trophy Points:
    16
  4. ZapX.net

    ZapX.net Well-Known Member

    Joined:
    Feb 24, 2005
    Messages:
    52
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Sidman, PA
    Hmm, very useful, but there is no way to not need to do this manually? I am not even sure where the php source is kept.

    I am curious when this bug will be fixed.
     
  5. ZapX.net

    ZapX.net Well-Known Member

    Joined:
    Feb 24, 2005
    Messages:
    52
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Sidman, PA
    Any word on this yet? I noticed a new cpanel release, i wonder if it's been fixed in this release.

    I'd really like to upgrade to 5.0.4 soon :)
     
  6. yd7

    yd7 Registered

    Joined:
    Jun 9, 2005
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    I was running into the same problem trying to upgrade to PHP 5.0.4 using /scripts/easyapache. I tried the workaround mentioned above, and everything worked! All I did was rename those libraries, run /scripts/easyapache, then rename the libraries back to the original.

    Thanks for the info!

    My server info:

    Operating system Linux
    Kernel version 2.4.21-27.0.4.ELsmp
    Machine Type i686
    Apache version 1.3.33 (Unix)
    MySQL version 4.1.11-standard
    cPanel Build 10.2.0-RELEASE 67
     
  7. cLub2Share

    cLub2Share Well-Known Member

    Joined:
    Oct 4, 2003
    Messages:
    114
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    united Arab Emirates
    cPanel Access Level:
    Website Owner
    Twitter:
    i have the same problem on this .. could some one please help with the easy way to upgrade to the new php5 ?

    Thankyou
     
  8. SabreWolf

    SabreWolf Registered

    Joined:
    May 24, 2005
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Brighton UK
    It works without needing the fix using /scripts/easyapache on:

    CentOS release 3.5 (Final)
    WHM 10.1.0 cPanel 10.2.0-R82
     
  9. jamslam

    jamslam Registered

    Joined:
    Feb 14, 2004
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    I'd just like to confirm that I was having the same problem, and this fixed it. I renamed the files, updated apache via WHM, and renamed the files back again. Worked like a charm.

    PHP 5.0.4
    MySQL 4.1.13

    This also got the MySQL and MySQLi extensions working simultaneously.
     
  10. AlexAT

    AlexAT Well-Known Member
    PartnerNOC

    Joined:
    May 23, 2003
    Messages:
    203
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Ukraine
    cPanel Access Level:
    Root Administrator
    It works for me also.
    Thank you!..
     
  11. nadavoid

    nadavoid Member

    Joined:
    Sep 11, 2004
    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    another solution - /scripts/upcp

    I've been going over a new cPanel server, and tweaking all my configurations. In the process, I ran into this same issue. The posted solution worked for me.

    However, I also did this:
    WHM -> cPanel -> Upgrade to Latest Version (/scripts/upcp), which upgraded me to the latest stable build. (Today that is 10.8.2-R83)
    This reinstalled MySQL libraries.
    Now, recompiling Apache/PHP gives no errors, WITHOUT doing the renaming dance.

    I like this much better, since it is a one-time fix.

    Could anyone else try this and see if it solves the problem for you too?
     
  12. nudist

    nudist Registered

    Joined:
    May 6, 2005
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    i've got the similar error:

    configure php-5.1.4...(--prefix=/usr --with-xml --enable-bcmath --enable-calendar --enable-ftp --with-gd --with-jpeg-dir=/usr/local --with-png-dir=/usr --with-xpm-dir=/usr/X11R6 --enable-magic-quotes --with-mysql=/usr --enable-discard-path --with-pear --enable-sockets --enable-track-vars --enable-versioning --with-zlib).... . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . Done
    make -j 1 php-5.1.4...(clean).... . Done
    make -j 1 php-5.1.4....... . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . Done
    make: *** [ext/date/lib/parse_date.lo] Error 1
    make php-5.1.4...(install).... . . . . . . . . . . . . . . . . . . . . Done
    make: *** [ext/date/lib/parse_date.lo] Error 1
    initfpsuexec: using apache 1.x support
    PHP version file is up to date
    Executing /scripts/postbuildapache (if exists)...Done
    /etc/rc.d/init.d/httpd start: httpd started

    anyone know how to do about this?
     
  13. coderoyal

    coderoyal Well-Known Member

    Joined:
    Mar 8, 2005
    Messages:
    58
    Likes Received:
    0
    Trophy Points:
    6
    Hi,

    Where can I find the "configure/make/make install". What folder is this configure folder located at?

    Also, do you do this step after you run /scripts/easyapache, or before?
     
  14. airtime

    airtime Registered

    Joined:
    Mar 8, 2005
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    1
    I just wanted to say that this fix worked for me also ..

    Great Job S_rage
     
  15. buro9

    buro9 Member

    Joined:
    Jun 8, 2003
    Messages:
    18
    Likes Received:
    0
    Trophy Points:
    1
    Worked for me too :)
     
  16. apodigm

    apodigm Well-Known Member

    Joined:
    May 12, 2003
    Messages:
    67
    Likes Received:
    0
    Trophy Points:
    6
Loading...

Share This Page